<?php

namespace App\Controllers;
defined("APPPATH") OR die("Access denied");

use App\Values\Resources;
use \Core\View;

if (isset($_SESSION['user_credentials'])){
    header("Location: ../application/");
}


class Access
{
    protected $title = "";

    public function index()
    {
        try {
            View::render("access");
        } catch (\Exception $e) {
            echo "Ocurrio una excepción al intentar acceder a (access)";
        }
    }

    public function validate()
    {
        $init_admin = parse_ini_file(APPPATH . '/Config/admin.ini');
        $userStorage = $init_admin['user'];
        $passwordStorage = $init_admin['password'];

        if (isset($_POST['email']) && isset($_POST['pass'])) {
            if ($_POST['email'] == $userStorage && $_POST['pass'] == $passwordStorage) {
                echo 'bien pasamos...';
                $_SESSION['user_credentials'] = base64_encode($userStorage . "/" . $passwordStorage);
                header("Location: ../../application/");
            } else {
                View::set("msg_val", Resources::getStringResource("login_not_email_password"));
                View::set("back_email", $_POST['email']);
                View::set("back_pass", $_POST['pass']);
                View::render("access");
            }
        } else {
            header("Location: ../");
        }

    }

    public function logout() {
        if (isset($_SESSION)) {
            unset($_SESSION['"user_credentials"']);
            session_destroy();
            header("Location: ../../access/");
        }
    }

}