<?php

use \App\Controllers\Application;
use \App\Models\Entities\Constants;
use \App\Models\Entities\API;

$apl_con = new Application();
date_default_timezone_set('America/Guayaquil');
$arr_data = json_decode($data, true);

?>
<!-- DataTables Responsive CSS -->
<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header">Ajustes para la recepción de correos</h1>
    </div>
    <!-- /.col-lg-12 -->
</div>

<div class="row">
    <div class="col-lg-12">
        <div class="panel panel-default">
            <div class="panel-heading" align="right">
                <img id="loading_text" src="/speedycep/admin/public/img/loading2.gif" width="24" height="24" style="display: none;"/>
                <button class="btn btn-primary" id="save_btn">Guardar cambios</button>
            </div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <h4 class="page-header"><?php echo $title;?></h4>
                    </div
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <label>Correo principal</label>
                        <input type="email" data-title="Correo principal" class="form-control" value="<?php echo $arr_data['email_principal'];?>" id="email_1">
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <label>Correo opcional 1</label>
                        <input type="email" data-title="Correo opcional 1" class="form-control" value="<?php echo $arr_data['email_option_a'];?>" id="email_2">
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 form-group">
                        <label>Correo opcional 2</label>
                        <input type="email" data-title="Correo opcional 2" class="form-control" value="<?php echo $arr_data['email_option_b'];?>" id="email_3">
                    </div>
                </div>
            </div>

            <!-- /.panel-body -->
        </div>
        <!-- /.panel -->
    </div>
    <!-- /.col-lg-12 -->

</div>

    <!-- Modal -->
    <div class="modal fade" id="myModalConfirm" tabindex="-1" role="dialog" aria-labelledby="myModalLabelConfirm"
         aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                    <h4 class="modal-title" id="myModalConfirm">Verificación de seguridad</h4>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label>Introduzca la clave especial</label>
                        <input type="password" class="form-control"  id="seguridad_password" maxlength="20"/>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                    <button type="button" id="verify-code-btn" class="btn btn-primary">Verificar</button>
                </div>
            </div>
            <!-- /.modal-content -->
        </div>
        <!-- /.modal-dialog -->
    </div>
<script>
    var up = "/speedycep/admin/application/change_setting_emails/<?php echo $type;?>";
</script>
<script src="/speedycep/admin/public/js/setting_emails.js"></script>
