$(document).ready(function () {
    $('#dataTables-content-compradores').DataTable({
        dom: 'lBfrtip',
        aaSorting: [[0, 'desc']],
        buttons: [
            'copyHtml5',
            'excelHtml5'
        ],
        responsive: true,
        columnDefs: [
            {className: 'text-center', targets: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11]}
        ],
        "processing": true,
        "serverSide": true,
        "info": true,
        "ajax":
            {
                "url": "/speedycep/admin/application/doc_user_buyer_data/"
            },
        "columns": [
            {"data": "id_dex_usuario_doclegis_comprado"},
            {"data": "id_usuario"},
            {"data": "email_envio"},
            {"data": "nombres_envio"},
            {"data": "apellidos_envio"},
            {"data": "doc_titulo"},
            {"data": "tipo_pago"},
            {"data": "fecha_compra"},
            {"data": "numero_referencia"},
            {"data": "precio_compra"},
            {"data": "estado_envio"},
            {"data": "details_buyer"}
        ]
    });
});


function detalles_fisico(id) {
    load("/speedycep/admin/application/doc_details_book/" + id);
}
