var SUCCESS = 1;
var datable = $('#dataTables-content-details').DataTable({
    responsive: true,
    "aoColumnDefs": [{
        'bSortable': false,
        'aTargets': [0, 1, 2, 3]
    }],
    columnDefs: [
        {className: 'text-center', targets: [0, 1, 2, 3]}
    ]
});

$(document).ready(function () {

    $("#back_btn").on('click', function (e) {
        load("/speedycep/admin/application/doc_users_book/");
    });

    $("#update_details_btn").on('click', function (e) {

        $("#observacion").val("");
        $("#estado_envio option").filter(function () {
            return this.text == "INFORMACION RECIBIDA";
        }).attr('selected', true);

        let last_row = datable.row(':last').data();
        if (last_row[1] === "INFORMACION RECIBIDA") {
             $("#estado_envio option").filter(function () {
                 return this.text == "PREPARANDO ENVIO";
             }).attr('selected', true);
             $("#myModalActualizar").modal('show');
         } else if (last_row[1] === "PREPARANDO ENVIO") {
             $("#estado_envio option").filter(function () {
                 return this.text == "ENVIADO";
             }).attr('selected', true);
             $("#myModalActualizar").modal('show');
         } else if (last_row[1] === "ENVIADO") {
             alert("Proceso terminado.");
         } else {
             $("#myModalActualizar").modal('show');
         }
    });

    $("#act-book-user-details-btn").on('click', function (e) {
        let id = $("#myModalActualizar").attr("data-text");
        let est = $("#estado_envio option:selected").val();
        let obs = $("#observacion").val();
        var flag = true;
        if (est === "OTROS") {
            if (obs === "") {
                flag = false;
            }
        }

        if (flag) {
            $.post(updud, {
                id: id,
                estado_envio: $("#estado_envio option:selected").val(),
                observacion: $("#observacion").val()
            }).done(function (data) {
                if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                    let dataJSON = $.parseJSON(data);
                    if (dataJSON.status === SUCCESS) {
                        $("#myModalActualizar").modal('hide');
                        let date_actualizacion = new Date(dataJSON.data.fecha_actualizacion);
                        let rowIndex = $('#dataTables-content-details').dataTable().fnAddData([
                            "",
                            dataJSON.data.estado_envio,
                            getM((date_actualizacion.getMonth() + 1) + "/" + getM(date_actualizacion.getDate()) + "/" + date_actualizacion.getFullYear()) + " " + date_actualizacion.getHours() + ":" + date_actualizacion.getMinutes() + ":" + date_actualizacion.getSeconds(),
                            dataJSON.data.observacion
                        ]);
                        let row = $('#dataTables-content-details').dataTable().fnGetNodes(rowIndex);
                        for (var i = 0; i < 4; i++) {
                            $(row).find("td:eq(" + i + ")").addClass("text-center");
                        }
                    }
                } else {
                    alert(data);
                }
            });
        } else {
            alert("No puede enviar la información sin colocar la observación.");
        }

    });

});

function getM(mm) {
    if (parseInt(mm) >= 1 && parseInt(mm) < 10) {
        return "0" + mm;
    }
    return mm;
}