var SUCCESS = 1;
var idx = 0;
var tr = null;
var id = 0;
var flag_portada = false;
var flag_epub = false;
var file_upload_epub = null;
var file_upload_portada = null;
var datable = $('#dataTables-book').DataTable({
    responsive: true,
    "aoColumnDefs": [{
        'bSortable': false,
        'aTargets': [12, 13, 14, 15, 16]
    }, {
        'bVisible': false,
        'aTargets': [0]
    }],
    columnDefs: [
        {className: 'text-center', targets: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16]}
    ],
    "columns": [
        {className: "hide_column"},
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null,
        null
    ]
});


function validAcceptType(type, id) {
    let size = $(id)[0].files[0].size;
    if (size < 2000000) {//2M
        let validExtensions = type; //array of valid extensions
        let fileName = $(id)[0].files[0].name;
        let fileNameExt = fileName.substr(fileName.lastIndexOf('.') + 1);
        if ($.inArray(fileNameExt, validExtensions) === -1) {
            return "Archivo con extensión desconocida.";
        }
        return true;
    } else {
        return "Solo archivos menores a 2MB";
    }
}

function verifyData(titulo_id, autor_id, resumen_id, editorial_id, edicion_id,
                    annio_edicion_id, precio_fisico_id, precio_ebook_id, existencia_fisica_id, existencia_ebook_id) {

    let titulo = $("#" + titulo_id);
    let autor = $("#" + autor_id);
    let resumen = $("#" + resumen_id);
    let editorial = $("#" + editorial_id);
    let edicion = $("#" + edicion_id);
    let annio_edicion = $("#" + annio_edicion_id);
    let precio_fisico = $("#" + precio_fisico_id);
    let precio_ebook = $("#" + precio_ebook_id);
    let existencia_fisica = $("#" + existencia_fisica_id);
    let existencia_ebook = $("#" + existencia_ebook_id);

    let data = new FormData();
    data.append('titulo_libro', titulo.val());
    data.append('autor', autor.val());
    data.append('resumen', resumen.val());
    data.append('editorial', editorial.val());
    data.append('edicion', edicion.val());
    data.append('annio_edicion', annio_edicion.val());
    data.append('precio_fisico', precio_fisico.val());
    data.append('precio_ebook', precio_ebook.val());
    data.append('existencia_fisica', existencia_fisica.val());
    data.append('existencia_ebook', existencia_ebook.val());


    return data;
}

function clearProgress() {
    $("#progressUpload").width("0%");
    //percent.html(percentVal);
    $("#progressUpload").attr("aria-valuenow", "0");
    $("#progressUpload").text("0%");
    $("#progressContainerUpload").hide();
}

function resetButtonForm() {
    $("#create-code-btn").removeAttr("disabled");
    $("#load-extra-gif").hide();
}

function clearForm() {

    let titulo = $("#titulo_libro");
    let autor = $("#autor");
    let resumen = $("#resumen");
    let editorial = $("#editorial");
    let edicion = $("#edicion");
    let annio_edicion = $("#annio_edicion");
    let precio_fisico = $("#precio_fisico");
    let precio_ebook = $("#precio_ebook");
    let existencia_fisica = $("#existencia_fisica");
    let existencia_ebook = $("#existencia_ebook");

    $("#msg_upload_portada").text("Sin imagen");
    $("#msg_upload_portada").css("color", "#cc2704");
    $("#file_upload_portada").val("");
    flag_portada = false;
    file_upload_portada = null;

    $("#msg_upload_epub").text("Sin archivo");
    $("#msg_upload_epub").css("color", "#cc2704");
    $("#file_upload_epub").val("");
    flag_epub = false;
    file_upload_epub = null;

    titulo.val("");
    autor.val("");
    resumen.val("");
    editorial.val("");
    edicion.val("");
    annio_edicion.val("");
    precio_fisico.val("");
    precio_ebook.val("");

    $("#existencia_fisica option").filter(function () {
        return this.text == "NO";
    }).attr('selected', true);

    $("#existencia_ebook option").filter(function () {
        return this.text == "NO";
    }).attr('selected', true);
}

function propertyCreateForm() {
    $("#myModalLabel").text("Creación del libro");
    $("#create-code-btn").text("Crear nuevo");
}

function propertyEditForm() {
    $("#myModalLabel").text("Editar libro");
    $("#create-code-btn").text("Guardar cambios");
}

function createEvent() {
    $("#create-code-btn").attr("disabled", true);
    $("#load-extra-gif").show();
    let file_upload_epub_id = $("#file_upload_epub");
    let file_upload_portada_id = $("#file_upload_portada");
    if (file_upload_epub_id.val() !== "" && file_upload_portada_id.val() !== "") {

        let data = verifyData("titulo_libro", "autor", "resumen", "editorial",
            "edicion", "annio_edicion", "precio_fisico", "precio_ebook",
            "existencia_fisica", "existencia_ebook");

        data.append('file_epub', $(file_upload_epub_id)[0].files[0]);
        data.append('file_portada', $(file_upload_portada_id)[0].files[0]);

        $("#progressContainerUpload").show();

        $.ajax({
            processData: false,
            contentType: false,
            dataType: "html",
            type: 'POST',
            url: mc,
            data: data,
            enctype: 'multipart/form-data',
            xhr: function () {
                var xhr = new window.XMLHttpRequest();
                xhr.upload.addEventListener("progress", function (evt) {
                    if (evt.lengthComputable) {
                        var percentComplete = evt.loaded / evt.total;
                        var percentVal = (Math.round(percentComplete * 100)) + '%';
                        $("#progressUpload").width(percentVal);
                        $("#progressUpload").attr("aria-valuenow", (Math.round(percentComplete * 100)));
                        $("#progressUpload").text(percentVal);
                    }
                }, false);
                return xhr;
            },
            success: function (data) {
                if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                    let dataJSON = $.parseJSON(data);
                    if (dataJSON.status === SUCCESS) {
                        resetButtonForm();
                        clearProgress();
                        clearForm();
                        $("#myModal").modal('hide');
                        var rowIndex = $('#dataTables-book').dataTable().fnAddData([
                            dataJSON.data.id_libro_premium,
                            dataJSON.data.titulo_libro,
                            dataJSON.data.resumen,
                            dataJSON.data.autor,
                            dataJSON.data.edicion,
                            dataJSON.data.editorial,
                            dataJSON.data.annio_edicion,
                            dataJSON.data.precio_fisico,
                            dataJSON.data.precio_ebook,
                            "<a href='" + dataJSON.data.ruta_enlace + "'>Enlace al libro</a>",
                            dataJSON.data.existencia_fisica,
                            dataJSON.data.existencia_ebook,
                            "<img style=\"cursor:pointer;\" onclick=\"showPortada(this);\" src=\"" + dataJSON.data.ruta_portada + "?" + Math.random() + "\" width=\"48\" height=\"48\">",
                            "<img style=\"cursor:pointer;\" onclick=\"editBook(this);\" src=\"/speedycep/admin/img/edit_icon.png\" width=\"24\" height=\"24\">",
                            "<img style=\"cursor:pointer;\" onclick=\"deleteBook(this);\" src=\"/speedycep/admin/img/remove_icon.png\" width=\"24\" height=\"24\">",
                            "<button class=\"btn btn-default\" onclick=\"noPublicada(this);\">No publicada</button>",
                            "<td class=\"text-center\"><button class=\"btn btn-danger\" onclick='compradores(this);'>Compradores</button></td>"
                        ]);

                        var row = $('#dataTables-book').dataTable().fnGetNodes(rowIndex);
                        for (var i = 0; i < 15; i++) {
                            $(row).find("td:eq(" + i + ")").addClass("text-center");
                        }

                    }
                } else {
                    resetButtonForm();
                    clearProgress();
                    alert(data);
                }

            },
            error: function (XMLHttpRequest, textStatus, errorThrown) {
                var json_error = $.parseJSON(XMLHttpRequest.responseText);

                resetButtonForm();
                clearProgress();

                $("#msg_error").text(json_error.message.toString());
                $("#panel-msg-error").fadeIn(1000).fadeOut(3000);
                setTimeout(function () {
                    $("#create-code-btn").removeAttr("disabled");
                }, 4000);
            }
        });

    } else {
        $("#load-extra-gif").hide();
        $("#msg_error").text("Debe seleccionar un archivo .epub y su portada.");
        $("#panel-msg-error").fadeIn(1000).fadeOut(3000);
        setTimeout(function () {
            $("#create-code-btn").removeAttr("disabled");
        }, 4000);
    }
}

function updateEvent() {

    $("#create-code-btn").attr("disabled", true);
    $("#load-extra-gif").show();
    let file_upload_epub_id = $("#file_upload_epub");
    let file_upload_portada_id = $("#file_upload_portada");


    let data = verifyData("titulo_libro", "autor", "resumen", "editorial",
        "edicion", "annio_edicion", "precio_fisico", "precio_ebook",
        "existencia_fisica", "existencia_ebook");

    var file_epud_upd = $(file_upload_epub_id)[0].files[0];
    var file_portada_upd = $(file_upload_portada_id)[0].files[0];
    /*if (file_epud_upd === undefined) {
        file_epud_upd = "";
    }
    if (file_portada_upd === undefined) {
        file_portada_upd = "";
    }*/

    data.append('file_epub', file_epud_upd);
    data.append('file_portada', file_portada_upd);
    data.append('id', id);

    $("#progressContainerUpload").show();

    $.ajax({
        processData: false,
        contentType: false,
        dataType: "html",
        type: 'POST',
        url: ec,
        data: data,
        enctype: 'multipart/form-data',
        xhr: function () {
            var xhr = new window.XMLHttpRequest();
            xhr.upload.addEventListener("progress", function (evt) {
                if (evt.lengthComputable) {
                    var percentComplete = evt.loaded / evt.total;
                    var percentVal = (Math.round(percentComplete * 100)) + '%';
                    $("#progressUpload").width(percentVal);
                    $("#progressUpload").attr("aria-valuenow", (Math.round(percentComplete * 100)));
                    $("#progressUpload").text(percentVal);
                }
            }, false);
            return xhr;
        },
        success: function (data) {
            if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                let dataJSON = $.parseJSON(data);
                if (dataJSON.status === SUCCESS) {
                    resetButtonForm();
                    clearProgress();
                    clearForm();
                    $("#myModal").modal('hide');
                    datable.cell(idx, 0).data(dataJSON.data.id_libro_premium).draw();
                    datable.cell(idx, 1).data(dataJSON.data.titulo_libro).draw();
                    datable.cell(idx, 2).data(dataJSON.data.resumen).draw();
                    datable.cell(idx, 3).data(dataJSON.data.autor).draw();
                    datable.cell(idx, 4).data(dataJSON.data.edicion).draw();
                    datable.cell(idx, 5).data(dataJSON.data.editorial).draw();
                    datable.cell(idx, 6).data(dataJSON.data.annio_edicion).draw();
                    datable.cell(idx, 7).data(dataJSON.data.precio_fisico).draw();
                    datable.cell(idx, 8).data(dataJSON.data.precio_ebook).draw();
                    datable.cell(idx, 9).data("<a href='" + dataJSON.data.ruta_enlace + "'>Enlace al libro</a>").draw();
                    datable.cell(idx, 10).data(dataJSON.data.existencia_fisica).draw();
                    datable.cell(idx, 11).data(dataJSON.data.existencia_ebook).draw();
                    datable.cell(idx, 12).data("<img style=\"cursor:pointer;\" onclick=\"showPortada(this);\" src=\"" + dataJSON.data.ruta_portada + "?" + Math.random() + "\" width=\"48\" height=\"48\">").draw();
                    tr.fadeOut(1000).fadeIn(1000);
                }
            } else {
                resetButtonForm();
                clearProgress();
                $("#msg_error").text(data);
                $("#panel-msg-error").fadeIn(1000).fadeOut(3000);
                setTimeout(function () {
                    $("#create-code-btn").removeAttr("disabled");
                }, 4000);
            }

        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            var json_error = $.parseJSON(XMLHttpRequest.responseText);
            resetButtonForm();
            clearProgress();
            $("#msg_error").text(json_error.message.toString());
            $("#panel-msg-error").fadeIn(1000).fadeOut(3000);
            setTimeout(function () {
                $("#create-code-btn").removeAttr("disabled");
            }, 4000);
        }
    });
}

$('#dataTables-book').dataTable().fnSetColumnVis(0, false);

$(document).ready(function () {


    $("#btn_epub").on("click", function () {
        $("#file_upload_epub").click();
    });

    $("#btn_portada").on("click", function () {
        $("#file_upload_portada").click();
    });

    $("#file_upload_epub").change(function () {
        let valid = validAcceptType(['epub'], "#file_upload_epub");
        if (valid === true) {
            $("#msg_upload_epub").text("Archivo por subir");
            $("#msg_upload_epub").css("color", "blue");
            flag_epub = true;
        } else {
            $("#msg_upload_epub").text("Sin archivo");
            $("#msg_upload_epub").css("color", "#cc2704");
            $("#file_upload_epub").val("");
            flag_epub = false;
            alert(valid);
        }
    });

    $("#file_upload_portada").change(function () {
        let valid = validAcceptType(['jpg', 'png'], "#file_upload_portada");
        if (valid === true) {
            $("#msg_upload_portada").text("Imagen por subir");
            $("#msg_upload_portada").css("color", "blue");
            flag_portada = true;
        } else {
            $("#msg_upload_portada").text("Sin imagen");
            $("#msg_upload_portada").css("color", "#cc2704");
            $("#file_upload_portada").val("");
            flag_portada = false;
            alert(valid);
        }
    });

    $("#create_btn").on('click', function () {
        clearForm();
        propertyCreateForm();
        $("#load-create").hide();
        $("#panel-create").show();
        $("#myModal").modal('show');
    });

    $("#create-code-btn").on('click', function () {
        if ($(this).text() === "Crear nuevo") {
            createEvent();
        } else {
            updateEvent();
        }

    });


    $("#delete-code-btn").on('click', function () {
        $.post(dc, {
            id: id
        }).done(function (data) {
            if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                let dataJSON = $.parseJSON(data);
                if (dataJSON.status === SUCCESS) {
                    $("#myModalDelete").modal('hide');
                    tr.fadeOut(1000);
                }
            } else {
                alert(data);
            }
        });
    });


    $("#publicar-code-btn").on('click', function () {
        $("#myModalNoPublicada").modal('hide');
        $.post(npub, {
            id: id
        }).done(function (data) {
            if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                let dataJSON = $.parseJSON(data);
                if (dataJSON.status === SUCCESS) {
                    datable.cell(idx, 15).data("<button class=\"btn btn-success\" onclick='publicada(this);'>Publicada</button>").draw();
                    tr.fadeOut(1000).fadeIn(1000);
                }
            } else {
                alert(data);
            }
        });
    });

    $("#unpublicar-code-btn").on('click', function () {
        $("#myModalPublicada").modal('hide');
        $.post(rpub, {
            id: id
        }).done(function (data) {
            if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                let dataJSON = $.parseJSON(data);
                if (dataJSON.status === SUCCESS) {
                    datable.cell(idx, 15).data("<button class=\"btn btn-default\" onclick='noPublicada(this);'>No publicada</button>").draw();
                    tr.fadeOut(1000).fadeIn(1000);
                }
            } else {
                alert(data);
            }
        });
    });

});

function editBook(td) {
    tr = $(td).parent().parent();
    idx = datable.row(tr).index();
    id = datable.cell(idx, 0).data();
    let titulo_libro = datable.cell(idx, 1).data();
    let resumen = datable.cell(idx, 2).data();
    let autor = datable.cell(idx, 3).data();
    let edicion = datable.cell(idx, 4).data();
    let editorial = datable.cell(idx, 5).data();
    let annio_edicion = datable.cell(idx, 6).data();
    let precio_fisico = datable.cell(idx, 7).data();
    let precio_ebook = datable.cell(idx, 8).data();
    let ruta_enlace = datable.cell(idx, 9).data();
    let existencia_fisica = datable.cell(idx, 10).data();
    let existencia_ebook = datable.cell(idx, 11).data();
    let ruta_portada = datable.cell(idx, 12).data();

    clearForm();
    propertyEditForm();

    $("#titulo_libro").val(titulo_libro);
    $("#resumen").val(resumen);
    $("#autor").val(autor);
    $("#edicion").val(edicion);
    $("#editorial").val(editorial);
    $("#annio_edicion").val(annio_edicion);
    $("#precio_fisico").val(precio_fisico);
    $("#precio_ebook").val(precio_ebook);

    file_upload_epub = $(ruta_enlace).attr("href");
    file_upload_portada = $(ruta_portada).attr("src").split("?")[0];

    $("#msg_upload_epub").text("Epub guardado.");
    $("#msg_upload_epub").css("color", "#33b54e");
    $("#msg_upload_portada").text("Portada guardada.");
    $("#msg_upload_portada").css("color", "#33b54e");

    $("#existencia_fisica option").filter(function () {
        return this.text == existencia_fisica;
    }).attr('selected', true);

    $("#existencia_ebook option").filter(function () {
        return this.text == existencia_ebook;
    }).attr('selected', true);

    $("#load-create").hide();
    $("#panel-create").show();
    $("#myModal").modal('show');

}

function deleteBook(td) {
    tr = $(td).parent().parent();
    idx = datable.row(tr).index();
    id = datable.cell(idx, 0).data();

    $("#myModalDelete").modal('show');

}

function showPortada(td) {
    let ruta_portada = datable.cell(datable.row($(td).parent().parent()).index(), 12).data();
    let img = $(ruta_portada).attr("src");
    $("#img-portada-zoom").attr("src", img);
    $("#myModalShowPortada").modal('show');
}

function noPublicada(td) {

    tr = $(td).parent().parent();
    idx = datable.row(tr).index();
    id = datable.cell(idx, 0).data();
    $("#myModalNoPublicada").modal('show');
}

function publicada(td) {

    tr = $(td).parent().parent();
    idx = datable.row(tr).index();
    id = datable.cell(idx, 0).data();
    $("#myModalPublicada").modal('show');

}

function compradores(td) {

    tr = $(td).parent().parent();
    idx = datable.row(tr).index();
    id = datable.cell(idx, 0).data();
    load("/speedycep/admin/application/buyer_users_book/" + id);
}