<?php
define("PROJECTPATH", dirname(__DIR__));
//directorio app
define("APPPATH", PROJECTPATH . '/admin/App');
// Load Composer's autoloader
require '../vendor/autoload.php';
require_once '../model/PHP_AES_Cipher.php';
require_once '../model/EbookModel.php';


$encryption_key = '5166546A576E5A72';
$ruta = "741658534e986f2bc2dad1d29284d31d";//nombre del libro.

/*//also important*/
$fullPath = $ruta . ".epub";
if (file_exists($fullPath)) {
    if ($fd = fopen($fullPath, "r")) {
        $nameZip = $ruta;
        $fullPathZip = $nameZip . '.zip';
        $compressPathName = $fullPath;

        $zip = new ZipArchive;
        $res = $zip->open($fullPathZip, ZipArchive::CREATE); //Add your file name

        if ($res == TRUE) {
            $init_admin = parse_ini_file(APPPATH . '/Config/admin.ini');
            $zipPasswordStorage = $init_admin['zip_password'];
            //$zip->addFromString('FILENAME_WITH_EXTENSION', 'file content goes here'); //Add your file name
            $zip->addFile($fullPath, $compressPathName);
            $zip->setEncryptionName($compressPathName, ZipArchive::EM_AES_256);

            $zipEpub = new ZipArchive;
            if ($zipEpub->open($fullPath) === true) {
                for ($i = 0; $i < $zipEpub->numFiles; $i++) {
                    $filename = $zipEpub->getNameIndex($i);
                    $fileinfo = pathinfo($filename);
                    $zipItem = "zip://" . $fullPath . "#" . $filename;
                    $content = file_get_contents($zipItem);
                    if (strpos($filename, "/") !== false) {
                        $zip->addFromString($filename, $content);
                        $zip->setEncryptionName($filename, ZipArchive::EM_AES_256);
                        //echo "addItem[" . $i . "]: " . $filename . "<br/>";
                    } else {
                        $zip->addFromString($fileinfo['basename'], $content);
                        $zip->setEncryptionName($fileinfo['basename'], ZipArchive::EM_AES_256);
                        //echo "addItem[" . $i . "]: " . $zipItem . "<br/>";;
                    }

                }
                $zipEpub->close();
            }

            $zip->setPassword($zipPasswordStorage);
            $zip->close();

            if ($fdZip = fopen($fullPathZip, "r")) {
                 $fsize = filesize($fullPathZip);
                 $path_parts = pathinfo($fullPathZip);
                 $ext = strtolower($path_parts["extension"]);
                 switch ($ext) {
                     case "zip":
                         header('Content-Description: File Transfer');
                         header('Content-Type: application/zip');//important!
                         header("Content-Disposition: attachment; filename=\"" . $path_parts["basename"] . "\"");
                         break;
                 }
                 header("Content-length: $fsize");
                 header("Content-Range: 0-" . ($fsize - 1) . "/" . $fsize);
                 header("Cache-control: private"); //use this to open files directly
                 while (!feof($fdZip)) {
                     $buffer = fread($fdZip, 2048);
                     echo $buffer;
                 }
             }
             echo $fsize;
             fclose($fdZip);
             unlink($fullPathZip);
             exit;

        } else {
            echo "failed create zip";
        }
    }
} else {
    http_response_code(400);
    echo json_encode([
        "status" => 2,
        "message" => "No existe el epub."
    ]);
}
?>