<?php
/**
 * Created by PhpStorm.
 * User: chaGB
 * Date: 8/13/2019
 * Time: 10:03 a.m.
 */

ini_set('memory_limit', '-1');
require_once 'ConnectionDB.php';

class ContenidoReforma
{
    /*STATUS USER*/
    const SUCCESSFUL_CREATION = 1;
    const FAILED_CREATION = 2;
    const ERROR_DATABASE = 3;
    const AUS_AUTH_API_KEY = 4;//ausencia api
    const NOT_AUTH_API_KEY = 5;//no autorizada
    const INCORRECT_URL = 6;
    const UNKNOWN_FAULT = 7;
    private static $encryption_key = '5166546A576E5A72';


    public static function setPostRequest($request)
    {

        if ($request[0] == 'get_refgen') {
            return ContenidoReforma::getRefgen();
        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }

    public static function setGetRequest($request)
    {
        if ($request[0] == 'all') {

        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }


    private static function getRefgen() {
        $body = file_get_contents('php://input');
        $reformaObject = json_decode($body);
        // Validar campos
        User::authorizationFromApp();
        if ($reformaObject !== null
            && ValidComponent::issetField($reformaObject->id_reforma, 750)) {

            $id_reforma = $reformaObject->id_reforma;
            $results = self::getReformasByID($id_reforma);
            if ($results != null) {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "data" => $results
                ];
            } else {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "message" => "No existe la reforma."
                ];
            }
        }
    }

    public static function getReformasByID($id_reforma)
    {
        $query = "SELECT id_reforma, fecha, titulo, reforma,idinterno FROM  dex_contenidos_reformas WHERE  id_reforma = ? ORDER BY idinterno";
        $prepare_stm = ConnectionDB::getInstance()->getDataBase()->prepare($query);
        $prepare_stm->bindValue(1, $id_reforma, PDO::PARAM_INT);
        $rows = null;
        if ($prepare_stm->execute()) {
            while ($row = $prepare_stm->fetch(PDO::FETCH_ASSOC)) {
                $rows[] = $row;
            }
            return $rows;
        } else {
            return null;
        }
    }

}