<?php
/**
 * Created by PhpStorm.
 * User: chaGB
 * Date: 8/13/2019
 * Time: 10:03 a.m.
 */

ini_set('memory_limit', '-1');
require_once 'ConnectionDB.php';

class Diccionario
{
    /*STATUS USER*/
    const SUCCESSFUL_CREATION = 1;
    const FAILED_CREATION = 2;
    const ERROR_DATABASE = 3;
    const AUS_AUTH_API_KEY = 4;//ausencia api
    const NOT_AUTH_API_KEY = 5;//no autorizada
    const INCORRECT_URL = 6;
    const UNKNOWN_FAULT = 7;
    private static $encryption_key = '5166546A576E5A72';


    public static function setPostRequest($request)
    {

        if ($request[0] == 'dicword') {
            return Diccionario::getDicWord();
        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }

    public static function setGetRequest($request)
    {
        if ($request[0] == 'all') {

        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }


    private static function getDicWord() {
        $body = file_get_contents('php://input');
        $dicWordObject = json_decode($body);
        // Validar campos
        User::authorizationFromApp();
        if ($dicWordObject !== null
            && ValidComponent::issetField($dicWordObject->id_palabra, 700)) {

            $id_palabra = $dicWordObject->id_palabra;
            $results = self::getWordByID($id_palabra);
            if ($results != null) {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "data" => $results
                ];
            } else {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "message" => "No existe la palabra."
                ];
            }
        }
    }

    public static function getWordByID($id_palabra)
    {
        $query = "SELECT * FROM dex_diccionario_palabras WHERE id_palabra = ?;";
        $prepare_stm = ConnectionDB::getInstance()->getDataBase()->prepare($query);
        $prepare_stm->bindValue(1, $id_palabra, PDO::PARAM_INT);
        $rows = null;
        if ($prepare_stm->execute()) {
            while ($row = $prepare_stm->fetch(PDO::FETCH_ASSOC)) {
                $rows[] = $row;
            }
            return $rows;
        } else {
            return null;
        }
    }

}