<?php

require_once 'ConnectionDB.php';
require_once 'API.php';

class EbookModel
{
    public function getDataUserBook($id_usuario, $id_libro_premium) {

        $query = "SELECT dex_usuario_libro_comprador.id_usuario_comprador FROM dex_usuario_libro_comprador INNER JOIN dex_usuario_new ON dex_usuario_new.id_usuario = dex_usuario_libro_comprador.id_usuario INNER JOIN dex_libro_premium_speedy ON dex_libro_premium_speedy.id_libro_premium = dex_usuario_libro_comprador.id_libro_premium AND dex_usuario_libro_comprador.tipo_compra = ? AND dex_usuario_libro_comprador.id_usuario = ? AND dex_libro_premium_speedy.id_libro_premium = ?;";
        $prepare_stm = ConnectionDB::getInstance()->getDataBase()->prepare($query);
        $prepare_stm->bindValue(1, "EBOOK", PDO::PARAM_STR);
        $prepare_stm->bindValue(2, $id_usuario, PDO::PARAM_INT);
        $prepare_stm->bindValue(3, $id_libro_premium, PDO::PARAM_INT);
        $prepare_stm->execute();
        return $prepare_stm->fetchColumn(0) > 0;
    }

}