<?php
/**
 * Created by PhpStorm.
 * User: chaGB
 * Date: 8/13/2019
 * Time: 10:03 a.m.
 */

ini_set('memory_limit', '-1');
require_once 'ConnectionDB.php';

class Notas
{
    /*STATUS USER*/
    const SUCCESSFUL_CREATION = 1;
    const FAILED_CREATION = 2;
    const ERROR_DATABASE = 3;
    const AUS_AUTH_API_KEY = 4;//ausencia api
    const NOT_AUTH_API_KEY = 5;//no autorizada
    const INCORRECT_URL = 6;
    const UNKNOWN_FAULT = 7;
    private static $encryption_key = '5166546A576E5A72';


    public static function setPostRequest($request)
    {

        if ($request[0] == 'get') {
            return Notas::getNotas();
        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }

    public static function setGetRequest($request)
    {
        if ($request[0] == 'all') {

        } else {
            throw new ExceptionApi(self::INCORRECT_URL, "Url mal formada", 400);
        }

    }


    private static function getNotas()
    {
        $body = file_get_contents('php://input');
        $notaObject = json_decode($body);
        // Validar campos
        User::authorizationFromApp();
        if ($notaObject !== null
            && ValidComponent::issetField($notaObject->num_nota, 700)
            && ValidComponent::issetField($notaObject->id_articulo, 701)) {

            $num_nota = $notaObject->num_nota;
            $id_articulo = PHP_AES_Cipher::decrypt(self::$encryption_key, $notaObject->id_articulo);
            $results = self::getDataNota($num_nota, $id_articulo);
            if ($results != null) {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "data" => $results
                ];
            } else {
                return [
                    "status" => self::SUCCESSFUL_CREATION,
                    "message" => "No existe la nota."
                ];
            }
        }
    }

    public static function getDataNota($num_nota, $id_articulo)
    {
        $query = "SELECT nota_desc, nota_num, id_articulo FROM dex_notas WHERE id_articulo = ? AND nota_num = ?";
        $prepare_stm = ConnectionDB::getInstance()->getDataBase()->prepare($query);
        $prepare_stm->bindValue(1, $id_articulo, PDO::PARAM_INT);
        $prepare_stm->bindValue(2, "(" . $num_nota . ")", PDO::PARAM_STR);
        $rows = null;
        if ($prepare_stm->execute()) {
            while ($row = $prepare_stm->fetch(PDO::FETCH_ASSOC)) {
                $rows[] = $row;
            }

            for ($i = 0; $i < count($rows); $i++) {
               $rows[$i]['id_articulo'] =  PHP_AES_Cipher::encrypt(self::$encryption_key, $rows[$i]['id_articulo']);
            }

            return $rows;
        } else {
            return null;
        }
    }

}