<?php

class ValidComponent
{

    const ERROR_VALID = 10;


    public static function compareStrings($a, $b)
    {
        $flag = true;
        if (($a == null || $a == "") && ($b == null || $b == ""))
            $flag = false;
        else {
            if ($a != $b) {
                $flag = false;
            }
        }

        if ($flag) {
            throw new ExceptionApi(self::ERROR_VALID, "No pueden haber emails iguales.", 422);
        } else {
            return false;
        }
    }

    public static function issetField($field, $code)
    {
        if (isset($field)) {
            return true;
        } else {
            throw new ExceptionApi(self::ERROR_VALID, $code . ": Falta información, no se pudo realizar la petición.", 422);
        }
    }

    public static function isEmptyField($name, $field)
    {
        if ($field !== "") {
            return true;
        } else {
            throw new ExceptionApi(self::ERROR_VALID, "El campo " . $name . " no puede estar vacio.", 422);
        }
    }


}