<!DOCTYPE html>
<html lang="es">
<head>
    <title>Política y privacidad - SpeedyCEP</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="/speedycep/admin/img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/speedycep/admin/img/favicon.ico" type="image/x-icon">
</head>
<body>
<h2>Objetivo de la App</h2>
<p>Esta App de la Corporaci&oacute;n de Estudios y Publicaciones (CEP) es una plataforma construida con los m&aacute;s modernos recursos digitales para facilitar el acceso a las leyes del Ecuador a todos los operadores del derecho: jueces, abogados, estudiantes, etc.</p>
<h2>T&eacute;rminos del servicio</h2>
<p>Los t&eacute;rminos del servicio que prestamos se basan en los objetivos de App de la CEP, y contienen las condiciones que rigen nuestra relaci&oacute;n con los usuarios y con todo aquel que interact&uacute;a con la App, as&iacute; como con sus marcas, productos y servicios. Al acceder al sitio Web, a la App, o al usar cualquier marca, producto o servicio nuestro aceptas tu conformidad con estos t&eacute;rminos, as&iacute; como con las pol&iacute;ticas de seguridad y privacidad, que se actualizan de manera peri&oacute;dica seg&uacute;n se se&ntilde;ala m&aacute;s abajo.</p>
<p>Es importante que cada usuario revise las condiciones y t&eacute;rminos establecidos aqu&iacute;, porque estas son las normas que rigen tu relaci&oacute;n con en los aspectos jur&iacute;dicos, econ&oacute;micos y de cualquier otra &iacute;ndole.</p>
<p>1. Partes de la relaci&oacute;n</p>
<p>La App de la CEP es un proyecto de la Corporaci&oacute;n de Estudios y Publicaciones (Quito, Ecuador). Desde que el usuario usa los servicios de la App se cobija bajo los t&eacute;rminos aqu&iacute; establecidos.</p>
<p>2. Uso de la aplicaci&oacute;n</p>
<p>2.1. Uso general</p>
<p>a) Normas generales de uso</p>
<p>Lo que primero que pedimos es que cada usuario procure usar la App de buena fe. Sus contenidos y funcionalidades han sido muy pensados para crear un entorno amable y enriquecedor para todos los usuarios. Quien sospecha que alguien incumple estas normas, debe notificarlo inmediatamente a para que podamos tomar las medidas que sean necesarias.</p>
<p>Podremos investigar la ilicitud de lo que suceda dentro del sitio Web, App o servicios, sobre todo cuando hayamos recibido una denuncia. Sin embargo, el usuario acepta que si no lleg&aacute;ramos a ejercitar cualquier derecho, acci&oacute;n administrativa o legal, ello no constituir&aacute; una renuncia formal de derechos o acciones, que permanecer&aacute;n plenamente vigentes.</p>
<p>A quien infrinja los t&eacute;rminos del servicio, los derechos de las personas o la legislaci&oacute;n nacional, se le podr&aacute; apercibir, solicitar rectificaciones, e, incluso, cancelar la cuenta de usuario y negar el acceso al sitio.</p>
<p>La CEP a trav&eacute;s de la App se obliga &uacute;nicamente a poner los medios para facilitar la informaci&oacute;n legal a quienes quieran usar la App, en lo que est&aacute; dentro de nuestras posibilidades. Se trata de un servicio en buena parte gratuito, con opci&oacute;n de suscripci&oacute;n, y como tal se regular&aacute;.</p>
<p>b) Cuestiones t&eacute;cnicas</p>
<p>Al usar nuestros servicios el usuario se obliga a no eludir, desactivar o manipular de cualquier otra forma las funciones de seguridad del sitio Web, de la App o de otras funciones de la plataforma. Todo usuario est&aacute; obligado a no alterar, hackear, crackear, da&ntilde;ar o modificar la plataforma sobre la que funciona, ni a atentar contra las funciones de seguridad del servicio.</p>
<p>Para poder acceder a determinadas funciones del sitio Web, de la App y de otros servicios el usuario tendr&aacute; que registrarte y crear una cuenta en la App. Para ello deber&aacute; facilitar la informaci&oacute;n que ah&iacute; se pida. Es importante que el usuario mantenga de forma segura y confidencial la contrase&ntilde;a.</p>
<p>El usuario aceptas que la App y el sitio web, con el deseo de ofrecer la mejor experiencia posible a sus usuarios, podr&aacute; en cualquier momento hacer cambios en la plataforma, sin necesidad de aviso previo. Para este fin, se podr&aacute; interrumpir temporal o permanentemente la prestaci&oacute;n de algunos o varios servicios, a elecci&oacute;n exclusiva de la CEP, sin necesidad de aviso previo.</p>
<p>De igual forma, el usuario podr&aacute; dejar de utilizar estos servicios en cualquier momento sin informar previamente a la CEP.</p>
<p>2.2. Acceso a los contenidos</p>
<p>No se podr&aacute; usar o activar ning&uacute;n sistema automatizado (robots, ara&ntilde;as, lector, etc.) que acceda al sitio de modo que env&iacute;e m&aacute;s mensajes de solicitud en un intervalo de tiempo concreto, que los que una persona f&iacute;sica podr&iacute;a razonablemente solicitar en el mismo tiempo utilizando un navegador web o la App. No hay derecho a intentar buscar o a acceder a la informaci&oacute;n confidencial.</p>
<p>Se autoriza a los operadores de motores de b&uacute;squeda a utilizar ara&ntilde;as (&ldquo;spiders&rdquo;) para copiar el material del sitio con el &uacute;nico fin de crear &iacute;ndices de b&uacute;squeda de los materiales disponibles para el p&uacute;blico en general, si bien dichos materiales no podr&aacute;n ser almacenados en memoria cach&eacute; u otros archivos. La CEP se reserva el derecho a revocar estas excepciones de forma general o en casos espec&iacute;ficos.</p>

<p>3. Licencias</p>
<p>Las licencias son aquellos documentos aceptados por el autor o titular de alguna obra, que regulan c&oacute;mo otros utilizar&aacute;n tus obras. Las licencias de la CEP y de sus servicios incluyen todos sus objetivos y todas las cl&aacute;usulas de los T&eacute;rminos del servicio, adem&aacute;s de las disposiciones especiales que a continuaci&oacute;n se detallan.</p>
<p>Toda persona tiene derecho a usar, personalmente, los servicios ofrecidos en la plataforma de la App de modo gratuito en parte, y pagado en lo que fuera menester. No se da el derecho a comercializar los contenidos de la App, salvo expresa anuencia escrita del titular de los derechos y de la informaci&oacute;n.</p>
<p>No se permite, en cambio, la reproducci&oacute;n o explotaci&oacute;n de correspondencia, chats o informaci&oacute;n que se haya entregado dentro de un marco de confidencialidad, sin el consentimiento escrito del titular de la informaci&oacute;n.</p>
<p>4. Alcance de estos t&eacute;rminos</p>
<p>4.1. Idioma</p>
<p>Los &ldquo;T&eacute;rminos del servicio&rdquo; han sido redactados en espa&ntilde;ol, por lo que ante cualquier diferencia en las traducciones del mismo, prevalecer&aacute; lo dispuesto en el idioma espa&ntilde;ol.</p>
<p>4.2. Jurisdicci&oacute;n y ley competente</p>
<p>Los presentes T&eacute;rminos de servicio y toda la relaci&oacute;n que se mantenga con la CEP se somete a las leyes y a la jurisdicci&oacute;n del Ecuador.</p>
<p>4.3 Cambios de t&eacute;rminos y normas</p>
<p>La CEP podr&aacute; realizar cambios en los &ldquo;T&eacute;rminos del servicio&rdquo; cuando lo viere conveniente para realizar mejor sus objetivos. Se procurar&aacute; publicar tales cambios en la web, en la App o incluirlos en un lugar de f&aacute;cil acceso al p&uacute;blico. Quien accede a nuestros servicios despu&eacute;s de la fecha de modificaci&oacute;n reconoce y acepta las modificaciones que se hagan. Se recomienda revisar peri&oacute;dicamente estos t&eacute;rminos y normas para que el usuario se mantenga informado y que guarde, si quiere, una copia en sus archivos de los mismos.</p>
<p>Si un tribunal con jurisdicci&oacute;n competente sobre este asunto determina que alguna disposici&oacute;n de los presentes T&eacute;rminos del servicio es inv&aacute;lida, dicha disposici&oacute;n quedar&aacute; suspendida en esa jurisdicci&oacute;n, sin que ello afecte al resto de disposiciones o normas, las que permanecer&aacute;n vigentes en todos sus aspectos.</p>
<p>4.4. Correspondencia</p>
<p>Al registrarte en la App o el sitio web el usuario acepta que podremos enviarte notificaciones, incluyendo las relativas a los cambios de los T&eacute;rminos del servicio, mediante correo electr&oacute;nico o publicando avisos a trav&eacute;s de la plataforma digital o de la App.</p>
<p>4.5. Finalizaci&oacute;n de la relaci&oacute;n</p>
<p>En primer lugar, el usuario se puede dar de baja en su cuenta solicit&aacute;ndolo a la CEP por la App, correo o internet. En segundo lugar, la CEP podr&aacute; resolver en cualquier momento la relaci&oacute;n trabada por: (i) incumplimiento de cualquier disposici&oacute;n los T&eacute;rminos del servicio, de las licencias o de las leyes del pa&iacute;s; (ii) haberse visto obligado a esto por disposici&oacute;n de la ley; o, (iii) cuando la prestaci&oacute;n de servicios de la App deje de ser viable, seg&uacute;n la propia opini&oacute;n de quienes impulsan este proyecto; a quienes hubieren pagado una suscripci&oacute;n, se procurar&aacute; que sigan disfrutando del servicio por el tiempo de la misma, o compensar de alguna manera, como con otra herramienta digital que cumpla funciones an&aacute;logas. En todos estos casos la CEP no ser&aacute; responsable, sino en la forma mencionada.</p>
<p>&nbsp;</p>
<h2>Pol&iacute;tica de seguridad y privacidad</h2>
<p>1. Observaciones y consejos</p>
<p>Cuando usamos cualquier servicio en Internet inevitablemente compartimos informaci&oacute;n. Esto sucede, por ejemplo, cuando creamos una cuenta, cuando llenamos una encuesta, pero tambi&eacute;n cuando entramos a ver cualquier p&aacute;gina Web o descargamos contenido desde nuestro celular. Ello permite a plataformas como la nuestra ofrecerte mejores servicios, mostrarte resultados, sugerencias o mensajes de marketing que para ti pueden ser m&aacute;s relevantes, ayudarte a contactar con gente relacionada con tus preferencias de manera m&aacute;s adecuada, medir la actividad y evitar la difusi&oacute;n de lo que a la gente no le interesa, as&iacute; como realizar estudios y desarrollar seguridades, requerimientos y servicios m&aacute;s acordes a las necesidades de cada uno.</p>
<p>Como el uso de nuestros servicios implica compartir cierta informaci&oacute;n, queremos ser lo m&aacute;s claro posibles sobre nuestras pol&iacute;ticas de recolectar, usar y compartir informaci&oacute;n, y ayudarte a que controles tu informaci&oacute;n. Te recomendamos leer detenidamente estas Pol&iacute;ticas de seguridad y privacidad. Esto te ayudar&aacute; a tomar decisiones m&aacute;s fundamentadas en este campo.</p>
<p>En general, te comentamos que para brindarte un servicio personalizado la informaci&oacute;n que nos proporciones ser&aacute; accesible a los administradores de la plataforma, al igual que a la gente que apoya sus servicios. As&iacute;, por ejemplo, cuando solicitas el servicio de chat la persona conocer&aacute; algunos datos tuyos para poder ayudarte. Lo mismo si diriges un email o mensaje a la CEP. Fuera de los prop&oacute;sitos de la App, para distribuir o compartir informaci&oacute;n tuya a terceros deberemos pedirte permiso en los t&eacute;rminos de ley.</p>
<p>2. Clases de datos</p>
<p>Nuestras pol&iacute;ticas distinguen dos clases de datos, que merecen consideraciones diversas:</p>
<p>a) Informaci&oacute;n entregada confidencialmente</p>
<p>Ponemos especial cuidado con aquella informaci&oacute;n que nos entregas en un marco de confidencialidad para ayudarnos a prestarte un mejor servicio. Esta informaci&oacute;n comprende los datos que pongas en tu registro como usuario. Tratamos esta informaci&oacute;n como informaci&oacute;n personal. No daremos tus datos de contacto a nadie, salvo a una autoridad p&uacute;blica competente as&iacute; nos lo requiriese a trav&eacute;s de una orden coactiva firme.</p>
<p>Tambi&eacute;n consideramos personal los correos y chats que mantienes a trav&eacute;s de la App, o a trav&eacute;s de nuestra plataforma, por ejemplo para solicitar informaci&oacute;n sobre nuestro servicios. De ellos guardaremos una copia para nuestro archivo. Entre otras cosas esto nos permitir&aacute; darte un mejor servicio.</p>
<p>Debes saber que t&uacute; mismo permites cierta publicidad de aquella informaci&oacute;n que tiene alguna implicancia p&uacute;blica, como por ejemplo, cuando solicitas inscribirte en cursos o solicitas una factura, hechos de los cuales deberemos tener registros.</p>
<p>Al dar de baja la cuenta que hayas creado en App o la web dejar&aacute; de ser accesible la informaci&oacute;n asociada con ella. Esta desaparici&oacute;n podr&iacute;a tardar un poco en los servidores que guardan alg&uacute;n tipo de cach&eacute;. Procuraremos conservar en archivo privado e intransferible la informaci&oacute;n necesaria para afrontar cualquier eventualidad administrativa o legal posterior.</p>
<p>b) Informaci&oacute;n producida por el uso de los servicios</p>
<p>Al navegar por el sitio Web o al usar la App aceptas el uso de &ldquo;cookies&rdquo;, o tecnolog&iacute;as semejantes, con las que trabajan este tipo de plataformas, as&iacute; como la utilizaci&oacute;n de servicios estad&iacute;sticos que recaban informaci&oacute;n de uso de los servicios inform&aacute;ticos, preferencias, logs, informaci&oacute;n de enrutamiento, la actividad de los sitios web, informaci&oacute;n sobre &ldquo;crashes&rdquo;, las caracter&iacute;sticas de los dispositivos que usas, identificadores &uacute;nicos de los dispositivos, incluyendo la detecci&oacute;n de la direcci&oacute;n IP. Como sabes, la direcci&oacute;n IP (internet protocol address) no identifica directamente a las personas.</p>
<p>Google Analytics, los programas estad&iacute;sticos y la CEP podr&aacute;n transmitir esta informaci&oacute;n a terceros cuando as&iacute; lo requiera la legislaci&oacute;n o cuando dichos terceros procesen la informaci&oacute;n por cuenta de estos servicios. En todo caso, podr&aacute;s rechazar el tratamiento de los datos o de la informaci&oacute;n rechazando el uso de cookies mediante una apropiada selecci&oacute;n de la configuraci&oacute;n de tu navegador; en tal caso debes saber que algunas funciones o servicios de la plataforma digital podr&iacute;an no funcionar bien.</p>
<p>Conoce c&oacute;mo deshabilitar, restringir, bloquear o borrar las cookies en cada navegador acudiendo a los siguientes enlaces:</p>
<ul>
    <li>Internet Explorer: windows.microsoft.com/es-xl/internet-explorer/delete-manage-cookies#ie="ie-10"</li>
    <li>FireFox: support.mozilla.org/es/kb/Borrar%20cookies</li>
    <li>Chrome: support.google.com/chrome/answer/95647?hl="es"</li>
    <li>Safari: www.apple.com/es/privacy/use-of-cookies/</li>
</ul>
<p>3. Otros aspectos de la seguridad</p>
<p>No nos hacemos responsables de la informaci&oacute;n que t&uacute; mismo pongas a disposici&oacute;n del p&uacute;blico en foros, comentarios o en otros sitios f&iacute;sicos o digitales.</p>
<p>La App procesa la informaci&oacute;n en servidores que se encuentran alrededor del mundo. Por ello, eventualmente podr&iacute;amos procesar tu informaci&oacute;n en servidores distintos al lugar donde vives.</p>
<p>Si vemos que puede ser conveniente usar cualquier clase informaci&oacute;n tuya de manera distinta a las previstas en estas pol&iacute;ticas, te consultaremos antes de hacerlo.</p>
<p>Tomamos muy en serio comportamientos como el de los depredadores, el acecho, las amenazas, el acoso, la intimidaci&oacute;n, la intimidad, la revelaci&oacute;n de la informaci&oacute;n personal de otras personas, la tentativa de il&iacute;citos y la incitaci&oacute;n a violar las normas comunitarias, o los t&eacute;rminos del servicio. Cualquier persona atrapada haciendo estas cosas puede ser permanentemente prohibida de usar nuestros servicios.</p>
<p>Finalmente, si crees tener alg&uacute;n problema de seguridad o privacidad, debes comunic&aacute;rnoslo inmediatamente para tratar de darle la mejor soluci&oacute;n posible en el menor tiempo.</p>
</body>
</html>