<?php

use \App\Values\Resources;

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>403 <?php echo Resources::getStringResource("403_title");?></title>

    <link href="https://fonts.googleapis.com/css?family=Cabin:400,700" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:900" rel="stylesheet">

    <link type="text/css" rel="stylesheet" href="/speedycep/admin/css/style.css" />

</head>
<body>
<div id="notfound">
    <div class="notfound">
        <img src="/speedycep/admin/img/speedyceplogo.png" width="30%" height="20%">
        <div class="notfound-404">
            <h3>¡Oops! <?php echo Resources::getStringResource("403_title");?></h3>
            <h1><span>4</span><span>0</span><span>3</span></h1>
        </div>
        <h2><?php echo Resources::getStringResource("403_content");?></h2>
    </div>
</div>
</html>
