<?

use App\Values\Resources;

?>
<!DOCTYPE html>
<html lang="es">
<head>
    <title><?php echo Resources::getStringResource("login") . " en " . Resources::getStringResource("app_name"); ?></title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="/speedycep/admin/img/favicon.ico" type="image/x-icon">
    <link rel="icon" href="/speedycep/admin/img/favicon.ico" type="image/x-icon">
    <!--===============================================================================================-->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans&display=swap" rel="stylesheet">
    <link rel="stylesheet" type="text/css" href="/speedycep/admin/css/bootstrap.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="/speedycep/admin/fonts/font-awesome-4.7.0/css/font-awesome.min.css">
    <!--===============================================================================================-->
    <link rel="stylesheet" type="text/css" href="/speedycep/admin/css/util.css">
    <link rel="stylesheet" type="text/css" href="/speedycep/admin/css/main.css">
    <!--===============================================================================================-->
</head>
<body>

<div class="limiter">
    <div class="container-login100" style="background: #9c122b;">
        <div class="wrap-login100 p-l-55 p-r-55 p-t-65 p-b-50">
            <form class="login100-form validate-form" method="post" action="/speedycep/admin/access/validate/">
					<span class="login100-form-title p-b-33">
                        <img src="/speedycep/admin/img/circle_speedycep_logo.png" width="50%" height="50%"
                             style="margin-right: 1%;">
					</span>

                <div class="wrap-input100 validate-input"
                     data-validate="Introduzca un email válido ej: speed@gmail.com">
                    <input class="input100" type="text" name="email" placeholder="Email"
                           value="<?php if (isset($back_email)) { echo $back_email; } ?>">
                    <span class="focus-input100-1"></span>
                    <span class="focus-input100-2"></span>
                </div>

                <div class="wrap-input100 rs1 validate-input" data-validate="Introduzca su clave">
                    <input class="input100" type="password" name="pass" placeholder="Clave"
                           value="<?php if (isset($back_pass)) { echo $back_pass; } ?>">
                    <span class="focus-input100-1"></span>
                    <span class="focus-input100-2"></span>
                </div>

                <div class="container-login100-form-btn m-t-20">
                    <button class="login100-form-btn">
                        <?php echo Resources::getStringResource("login"); ?>
                    </button>
                </div>
                <br/>
                <?php if (isset($msg_val)) {
                    echo '<span class="alert alert-danger" style="display: none;" id="msh">' . $msg_val . '</span>';
                } ?>

            </form>
        </div>
    </div>
</div>


<!--===============================================================================================-->
<script src="/speedycep/admin/js/jquery-3.2.1.min.js"></script>
<script src="/speedycep/admin/js/popper.js"></script>
<script src="/speedycep/admin/js/bootstrap.min.js"></script>
<script src="/speedycep/admin/js/main.js"></script>

<?php if (isset($msg_val)) {
  echo '<script>
    $(document).ready(function() {
      $("#msh").fadeIn(1000).fadeOut(5000);
    });
</script>';
}
?>
</body>
</html>