var SUCCESS = 1;
$(document).ready(function () {

    $("#loading_text").hide();
    $("#save_btn").on("click", function () {
        $("#seguridad_password").val("");
        $("#myModalConfirm").modal("show");
    });

    $("#verify-code-btn").on("click", function () {
        let segu = $("#seguridad_password");
        if (segu.val() !== "") {
            send(segu.val());
        } else {
            alert("Introduzca la clave especial");
        }
    });

});

function send(segu) {

    if (verifyValue("#email_1")) {

        $("#loading_text").show();
        $("#save_btn").attr("disabled", true);
        $("#myModalConfirm").modal("hide");

        let a = $("#email_1").val();
        let b = $("#email_2").val();
        let c = $("#email_3").val();
        let d = "{\"email_principal\": \"" + a + "\", \"email_option_a\": \"" + b + "\",\"email_option_b\": \"" + c + "\"}";
        $.post(up, {
            emails: d,
            seguridad_password: segu
        }).done(function (data) {

            $("#loading_text").fadeOut(1000);
            $("#save_btn").removeAttr("disabled");

            if (/^[\],:{}\s]*$/.test(data.replace(/\\["\\\/bfnrtu]/g, '@').replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g, ']').replace(/(?:^|:|,)(?:\s*\[)+/g, ''))) {
                let dataJSON = $.parseJSON(data);
                if (dataJSON.status === SUCCESS) {
                    alert(dataJSON.data);
                } else {
                    alert(dataJSON.message);
                }
            } else {
                alert(data);
            }
        });
    }
}

function verifyValue(nameId) {
    let field = $(nameId);

    if (field.val() === "") {
        alert("El campo " + field.data("title") + " no puede estar vacío");
        field.focus();
        return false;
    }
    return true;
}