
$(document).ready(function () {
    $('#dataTables-content-compradores').DataTable({
        dom: 'lBfrtip',
        aaSorting: [[0, 'desc']],
        buttons: [
            'copyHtml5',
            'excelHtml5'
        ],
        responsive: true,
        columnDefs: [
            {className: 'text-center', targets: [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10]}
        ],
        "processing": true,
        "serverSide": true,
        "info": true,
        "ajax":
            {
                "url": "/speedycep/admin/application/view_buyer_premium_ebook_data/"
            },
        "columns": [
            {"data": "id_usuario_comprador"},
            {"data": "id_usuario"},
            {"data": "email_envio"},
            {"data": "nombres_envio"},
            {"data": "apellidos_envio"},
            {"data": "titulo_libro"},
            {"data": "edicion"},
            {"data": "tipo_pago"},
            {"data": "fecha_compra"},
            {"data": "numero_referencia"},
            {"data": "precio_compra"}
        ]
    });
});


function reenviarEmail(id) {
    load("/speedycep/admin/application/view_buyer_premium_ebook_email/" + id);
}
