<?php

define("HOSTNAME", "localhost");// Nombre del host localhost
define("DATABASE", "cepweb"); // Nombre de la base de modelos
define("USER", "desarr01"); // Nombre del usuario
define("PASSWORD", "u5dNipCe"); // Constraseña

class ConnectionDB
{

    private static $db = null;
    private static $pdo = null;

    /**
     * ConnectionDB constructor.
     */
    public function __construct()
    {
        try {
            // Crear nueva conexión PDO
            self::getDataBase();
        } catch (PDOException $e) {
            // Manejo de excepciones
        }

    }

    public static function getInstance()
    {
        if (self::$db === null) {
            self::$db = new self();
        }
        return self::$db;
    }


    public function getDataBase()
    {
        if (self::$pdo == null) {
            self::$pdo = new PDO(
                'mysql:dbname=' . DATABASE .
                ';host=' . HOSTNAME . ";",
                USER,
                PASSWORD,
                array(
                    PDO::MYSQL_ATTR_INIT_COMMAND => "SET NAMES utf8"
                )
            );

            // Habilitar excepciones
            self::$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            //self::$pdo->setAttribute(PDO::MYSQL_ATTR_USE_BUFFERED_QUERY, false);
            //self::$pdo->setAttribute(PDO::ATTR_EMULATE_PREPARES, FALSE);
        }

        return self::$pdo;
    }
    /**
     * Evita la clonación del objeto
     */
    final protected function __clone()
    {
    }

    function _destructor()
    {
        self::$pdo = null;
    }


}