<?php

class Valid
{

    const FAILED_CREATION = 2;

    public static function validEmail($email_address)
    {
        if (filter_var($email_address, FILTER_VALIDATE_EMAIL)) {
            return true;
        } else {
            throw new ExceptionApi(self::FAILED_CREATION, utf8_encode("Email incorrecto"));
        }
    }

    public static function validEmailWithEmpty($email_address)
    {
        if ($email_address == "") {
            return true;
        } else {
            if (filter_var($email_address, FILTER_VALIDATE_EMAIL)) {
                return true;
            } else {
                throw new ExceptionApi(self::FAILED_CREATION, utf8_encode("Email incorrecto"));
            }
        }
    }

    public static function validLengthPassword($password)
    {
        if (strlen($password) >= 8) {
            return true;
        } else {
            throw new ExceptionApi(self::FAILED_CREATION, "La Contraseña debe tener mínimo 8 digitos.");
        }
    }

}